Package: vdr
Version: 1.3.31-2
Severity: normal
Tags: patch

Hi,
plugin-loader.sh runs vdr with LD_ASSUME_KERNEL=2.4.1 which is not
supported on amd64.  This results in /etc/init.d/vdr not being able to
auto-detect plugins.  The attached patch fixes plugin-loader.sh by
checking for $NONPTL and uname -m like it is already done in the runvdr
script.


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1,
'sarge-unsupported')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages vdr depends on:
ii  adduser                       3.67       Add and remove users and
groups
ii  debconf [debconf-2.0]         1.4.58     Debian configuration
management sy
ii  libc6                         2.3.5-6    GNU C Library: Shared
libraries an
ii  libcap1                       1:1.10-14  support for getting/setting
POSIX.
ii  libgcc1                       1:4.0.1-2  GCC support library
ii  libjpeg62                     6b-10      The Independent JPEG
Group's JPEG
ii  libstdc++6                    4.0.1-2    The GNU Standard C++
Library v3
ii  makedev                       2.3.1-78   creates device files
in /dev
ii  psmisc                        21.6-1     Utilities that use the proc
filesy

Versions of packages vdr recommends:
ii  lirc                         0.7.1pre2-2 Linux Infra-red Remote
Control sup

-- debconf information:
* vdr/select_dvb_card: Terrestrial
* vdr/showinfo:
* vdr/create_video_dir: true

diff -u vdr-1.3.31/debian/plugin-loader.sh vdr-1.3.31/debian/plugin-loader.sh
--- vdr-1.3.31/debian/plugin-loader.sh
+++ vdr-1.3.31/debian/plugin-loader.sh
@@ -14,9 +14,16 @@
     local patchelvels
     local leftout
     local leftout2
+    local vdrcmd
     local version
 
-    version=`LD_ASSUME_KERNEL=2.4.1 /usr/bin/vdr -u $USER -g $GROUP -V -L/usr/bin/vdr 2>/dev/null | sed -e 's/.*(\(.*\)).*/\1/'`
+    if [ "$NONPTL" = "1" -a `uname -m` != x86_64 ]; then
+        vdrcmd="LD_ASSUME_KERNEL=2.4.1 /usr/bin/vdr"
+    else
+        vdrcmd="/usr/bin/vdr"
+    fi
+
+    version=`$vdrcmd -u $USER -g $GROUP -V -L/usr/bin/vdr 2>/dev/null | sed -e 's/.*(\(.*\)).*/\1/'`
     test "$version" || version="unknown version"
  
     PLUGINS=""
@@ -47,7 +54,7 @@
 
         # move not startable plugins to $leftout2
         for (( [EMAIL PROTECTED], i-- ; i >= 0 ; i-- )); do
-            if ! LD_ASSUME_KERNEL=2.4.1 /usr/bin/vdr -u $USER -g $GROUP $OPTIONS -V -L $PLUGIN_DIR -P ${installed_plugins[$i]} \
+            if ! $vdrcmd -u $USER -g $GROUP $OPTIONS -V -L $PLUGIN_DIR -P ${installed_plugins[$i]} \
                 2>/dev/null | grep -q "^${installed_plugins[$i]} "; then
                 leftout2="${leftout2} ${installed_plugins[$i]}"
                 unset installed_plugins[$i]

Reply via email to